:mod:`cjklib.dictionary.install` --- Install dictionaries
=========================================================

.. versionadded:: 0.3

.. automodule:: cjklib.dictionary.install


.. seealso::

   :doc:`/installcjkdict`
      Documentation on the CLI


Functions
----------

.. autofunction:: getDownloader

.. autofunction:: getDownloaderClass

.. autofunction:: getDownloaderClasses




Classes
--------

.. autoclass:: CEDICTDownloader
   :show-inheritance:
   :members:
   :inherited-members:
   :undoc-members:
   

.. autoclass:: CEDICTGRDownloader
   :show-inheritance:
   :members:
   :inherited-members:
   :undoc-members:
   

.. autoclass:: CFDICTDownloader
   :show-inheritance:
   :members:
   :inherited-members:
   :undoc-members:
   

.. autoclass:: CommandLineInstaller
   :show-inheritance:
   :members:
   :inherited-members:
   :undoc-members:
   

.. autoclass:: DictionaryInstaller
   :show-inheritance:
   :members:
   :inherited-members:
   :undoc-members:
   

.. autoclass:: DownloaderBase
   :show-inheritance:
   :members:
   :inherited-members:
   :undoc-members:
   

.. autoclass:: EDICTDownloader
   :show-inheritance:
   :members:
   :inherited-members:
   :undoc-members:
   

.. autoclass:: HanDeDictDownloader
   :show-inheritance:
   :members:
   :inherited-members:
   :undoc-members:
   

.. autoclass:: PageDownloaderBase
   :show-inheritance:
   :members:
   :inherited-members:
   :undoc-members:
   
